Subject: Re: [PATCH 3/4] Automatically detect a bare git repository.

From: Theodore Tso <[email-masked]>
Date: Sun, 31 Dec 2006 07:52:05 -0500

On Sat, Dec 30, 2006 at 11:30:19PM -0500, Shawn O. Pearce wrote:
> Many users find it unfriendly that they can create a bare git
> repository easily with `git clone --bare` but are then unable to
> run simple commands like `git log` once they cd into that newly
> created bare repository.  This occurs because we do not check to
> see if the current working directory is a git repository.

Thanks for coding this up!   

If you do this, does this mean that we can also eliminate the global
variable --bare, since git will be able to figure out we're in a bare
repository all by itself?

						- Ted